<div class="phase">
  <form [formGroup]="phaseConfigFormGroup.formGroup" class="content">
    <!-- TITLE filed -->
    <mat-form-field appearance="outline"
      (keydown.enter)="$event.preventDefault()">
      <mat-label>Title</mat-label>
      <input matInput placeholder="Title" formControlName="title" required>
      <button *ngIf="title" matSuffix mat-icon-button
        aria-label="Clear" (click)="title.setValue('');">
        <mat-icon>close</mat-icon>
      </button>
      <mat-error *ngIf="title.hasError('required')">Title cannot be empty</mat-error>
    </mat-form-field>

    <!-- CONTENT filed -->
    <h3>Content</h3>
    <sentinel-markdown-editor [sentinel-markdown-file-upload]="false"
      (contentChange)="this.content.setValue($event);"
      [content]="content.value"></sentinel-markdown-editor>
    <mat-error *ngIf="content.hasError('required')">Content cannot be empty</mat-error>
  </form>
</div>
